## ubuntu-release-upgrader 19.04.16

=== debian/changelog ===
ubuntu-release-upgrader (1:19.04.16) disco; urgency=medium

  * DistUpgrade/imported/invoke-rc.d: Import the current version of the script
    to fix upgrade failures of packages which only ship upstart and
    systemd units, but no SysV init script. (LP: #1813464)
  * DistUpgrade/imported/invoke-rc.d.diff: update the diff so that it applies
    to the current version of invoke-rc.d.
  * pre-build.sh: actually update invoke-rc.d on a regular basis and try to
    automatically appply the patch.
  * Update of demotions and mirrors data.

 -- Brian Murray <brian@ubuntu.com>  Fri, 12 Apr 2019 10:39:09 -0700

ubuntu-release-upgrader (1:19.04.15) disco; urgency=medium

  * debian/control: build depend on the new version of update-manager which
    supports checking to see if an https url is downloadable. (LP: #1823410)
  * tests/test_sources.list.py: add a test for https support.
  * Update of demotions and mirrors data.
  * DistUpgrade/DistUpgradeQuirks.py: update the deb2snap quirk for disco,
    bump the version of gnome snap, and include the core18 snap.

 -- Brian Murray <brian@ubuntu.com>  Mon, 08 Apr 2019 14:19:29 -0700

ubuntu-release-upgrader (1:19.04.14) disco; urgency=medium

  * DistUpgradeController.py: Instead of checking every sources.list entry to
    see if they are accessible keep track of the uris and only test once per
    uri thereby preventing situations where entries for the same server are
    enabled and disabled. (LP: #1822886)
  * Update of demotions and mirrors data.

 -- Brian Murray <brian@ubuntu.com>  Thu, 04 Apr 2019 17:06:26 -0700

ubuntu-release-upgrader (1:19.04.13) disco; urgency=medium

  [ Brian Murray ]
  * Add a lintian override for unsafe symlinks after removing some crufty
    symlinks.

  [ Dimitri John Ledkov ]
  * Fix up minor lintian warnings.
  * Trick dh_python3 into processing script, in a non-standard location.

 -- Brian Murray <brian@ubuntu.com>  Thu, 14 Mar 2019 10:41:34 -0700

ubuntu-release-upgrader (1:19.04.12) disco; urgency=medium

  * DistUpgradeController.py: Check to see if the current release is an LTS
    before warning that livepatch will be disabled. Thanks to Andrea Azzarone
    for the patch. (LP: #1816423)
  * pre-build.sh: run tests first because those are quicker than updating
    mirrors and demotions.

 -- Brian Murray <brian@ubuntu.com>  Fri, 08 Mar 2019 10:59:32 -0800

ubuntu-release-upgrader (1:19.04.11) disco; urgency=medium

  * do-release-upgrade: fix typo of development. (LP: #1813470)

 -- Brian Murray <brian@ubuntu.com>  Tue, 26 Feb 2019 13:37:50 -0800

ubuntu-release-upgrader (1:19.04.10) disco; urgency=medium

  [ Andrea Azzarone ]
  * DistUpgrade/DistUpgradeView.py,
    DistUpgrade/DistUpgradeViewGtk3.py,
    DistUpgrade/DistUpgradeViewKDE.py,
    DistUpgrade/DistUpgradeViewNonInteractive.py,
    DistUpgrade/DistUpgradeViewText.py:
    - add askCancelContinueQuestion for all the supported views.
  * DistUpgrade/DistUpgradeController.py: Ask for confirmation if Livepatch
    is turned on, and you are upgrading to a version where Livepatch is not
    available. (LP: #1799310)
  * debian/control: add an explicit python3-distro-info dependency to
    python3-distupgrade as it is now required by DistUpgradeController.

 -- Brian Murray <brian@ubuntu.com>  Mon, 21 Jan 2019 08:57:50 -0800

ubuntu-release-upgrader (1:19.04.9) disco; urgency=medium

  * DistUpgrade/xorg_fix_proprietary.py: shebang needs to use python3 not
    python.

 -- Brian Murray <brian@ubuntu.com>  Fri, 21 Dec 2018 10:14:53 -0800

ubuntu-release-upgrader (1:19.04.8) disco; urgency=medium

  * debian/source_ubuntu-release-upgrader.py: Include xorg_fixup.log if it
    exists.
  * DistUpgrade/xorg_fix_proprietary.py: modify how the system is checked to
    see if nvidia is being used, drop fglrx check since it has been
    deprecated. (LP: #1773637)

 -- Brian Murray <brian@ubuntu.com>  Mon, 17 Dec 2018 14:04:03 -0800

ubuntu-release-upgrader (1:19.04.7) disco; urgency=medium

  [ Brian Murray ]
  * DistUpgrade/DistUpgradeCache.py: When calculating free space needed for
    mount points don't use a negative number as the buffer. (LP: #1786484)
  * fix more typos re RELEASE_UPRADER_ALLOW_THIRD_PARTY
  * DistUpgrade/DistUpgradeController.py: When rewriting sources.list entries
    check to see if the source provides packages for the release to which the
    upgrade is occurring. If it doesn't the entry is disabled thereby
    improving upgrades with PPAs. (LP: #1807043)
  * do-release-upgrade: add a parameter to allow third party mirrors and
    repositories, additionally pass along the environmental variable
    RELEASE_UPGRADER_ALLOW_THIRD_PARTY via pkexec and sudo. (LP: #1807032)
  * DistUpgrade/DistUpgradeCache.py: improve messaging regarding failures to
    calculate the upgrade and suggest using ppa-purge if PPAs are an issue.
  * DistUpgrade/DistUpgradeCache.py: in the event there is a failure to
    calculate the upgrade provide information about the log files in
    /var/log/dist-upgrade. (LP: #1771387)

  [ Jeremy Bicha ]
  * autopkgtest: Update dependency from gir1.2-webkit-3.0 to gir1.2-webkit2-4.0

 -- Brian Murray <brian@ubuntu.com>  Tue, 11 Dec 2018 15:35:34 -0800

ubuntu-release-upgrader (1:19.04.6) disco; urgency=medium

  * data/release-upgrades: Clarify documentation regarding the behavior for
    different Prompt settings. (LP: #1795024)
  * do-release-upgrade: Utilize information regarding what Prompt is set to so
    that a more informative error message can be displayed.
    (LP: #1798618, LP: #1795024)

 -- Brian Murray <brian@ubuntu.com>  Wed, 28 Nov 2018 10:02:43 -0800

ubuntu-release-upgrader (1:19.04.5) disco; urgency=medium

  * Remove the unused computer janitor code thereby resolving a Traceback that
    occurs when importing it. (LP: #1805475)

 -- Brian Murray <brian@ubuntu.com>  Tue, 27 Nov 2018 09:17:35 -0800

ubuntu-release-upgrader (1:19.04.4) disco; urgency=medium


