## ubuntu-release-upgrader 19.04.16.9

=== debian/changelog ===
ubuntu-release-upgrader (1:19.04.16.9) disco; urgency=medium

  * do-release-upgrade: add linux-base to the check for required reboot after
    a kernel upgrade (LP: #1844805).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 07 Nov 2019 12:03:55 +0100

ubuntu-release-upgrader (1:19.04.16.8) disco; urgency=medium

  * do-release-upgrade: also check for linux-image- in reboot-required.pkgs,
    refusing upgrading before a reboot is performed. (LP: #1844805)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 29 Oct 2019 10:37:28 +0100

ubuntu-release-upgrader (1:19.04.16.7) disco; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py, DistUpgrade/DistUpgradeCache.py:
    Modify DistUpgradeQuirks to calculate extra space needed for snaps that
    need to be installed during upgrade (replacing old debs) and add that to
    estimates done in checkFreeSpace(). (LP: #1783597)
  * DistUpgrade/DistUpgradeCache.py: Make sure checkFreeSpace() still works for
    update-manager with its own implementation of MyCache.
  * DistUpgrade/DistUpgradeQuirks.py: Make sure snaps like core18 are not
    refreshed/installed from the stable/ubuntu-VERSION branch but instead use
    stable on upgrades. (LP: #1841225)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 09 Sep 2019 15:41:12 +0200

ubuntu-release-upgrader (1:19.04.16.6) disco; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: only try to install snaps if snapstore
    is reachable. (LP: #1831933)

 -- Dan Streetman <ddstreet@canonical.com>  Wed, 19 Jun 2019 12:49:56 -0400

ubuntu-release-upgrader (1:19.04.16.5) disco; urgency=medium

  [ Gunnar Hjalmarsson ]
  * DistUpgrade/window_main.ui: Really update for 19.04 (LP: #1825733).

  [ Brian Murray ]
  * DistUpgrade/DistUpgradeViewNonInteractive.py: when responding to a
    conffile prompt with "n" use bytes not a string. (LP: #1796193)

 -- Brian Murray <brian@ubuntu.com>  Fri, 10 May 2019 15:19:00 -0700

ubuntu-release-upgrader (1:19.04.16.4) disco; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: modify function which updates snaps so
    that it determines the release from which a system is being upgraded.
    Additionally, update the channel for the snap to reflect the release to
    which we are upgrading. (LP: #1827951)
  * data/DistUpgrade.cfg.bionic, data/DistUpgrade.cfg:
    - update KernelRemoval sections to kernel packages that appear in
      Ubuntu 18.04 and Ubuntu 18.10. (LP: #1828072)

 -- Brian Murray <brian@ubuntu.com>  Mon, 06 May 2019 16:20:45 -0700

ubuntu-release-upgrader (1:19.04.16.3) disco; urgency=medium

  * data/DistUpgrade.cfg.bionic,
    data/demoted.cfg.bionic,
    pre-build.sh:
    - support upgrades from bionic (LP: #1827635)

 -- Brian Murray <brian@ubuntu.com>  Fri, 03 May 2019 11:47:57 -0700

ubuntu-release-upgrader (1:19.04.16.2) disco; urgency=medium

  * Fix broken symbolic link of DistUpgrade/DistUpgrade which caused code from
    the installed ubuntu-release-upgrader to be used instead of code in the
    dist-upgrader tarball. (LP: #1824430)

 -- Brian Murray <brian@ubuntu.com>  Thu, 25 Apr 2019 08:22:50 -0700

ubuntu-release-upgrader (1:19.04.16.1) disco; urgency=medium

  * data/removal_blacklist.cfg: add blacklist entry for postgresql versions
    with two major digits e.g. postgresql-11. (LP: #1825563)
  * Update of demotions and mirrors data.

 -- Brian Murray <brian@ubuntu.com>  Fri, 19 Apr 2019 15:25:07 -0700
