## ubuntu-release-upgrader 19.10.15

=== debian/changelog ===
ubuntu-release-upgrader (1:19.10.15) eoan; urgency=medium

  * Don't check for validity of /usr/bin/python symlink because this is no
    longer relevant to the upgrades (and the printed error message was
    inaccurate).  LP: #1825655.
  * Clean up remaining references to /usr/bin/python (tests and utilities)
    in the source.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 11 Oct 2019 16:54:15 -0700

ubuntu-release-upgrader (1:19.10.14) eoan; urgency=medium

  * DistUpgrade/DistUpgradeCache.py: New python3-apt bindings no longer provide
    Package.section, so switch to using Package.{candidate,installed}.section
    whenever applicable. This fixes broken partial upgrades. (LP: #1841675)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 10 Oct 2019 09:59:30 +0200

ubuntu-release-upgrader (1:19.10.13) eoan; urgency=medium

  [ Brian Murray ]
  * DistUpgrade/DistUpgradeQuirks.py: do not include gnome-system-monitor in
    the deb to snap transition anymore. (LP: #1845485)
  * DistUpgrade/DistUpgradeQuirks.py: improve wording regarding not being able
    to upgrade from a system with an apt architecture of i386.

  [ Łukasz 'sil2100' Zemczak ]
  * DistUpgrade/DistUpgradeQuirks.py: slightly refactor code to fix related
    unit tests.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 03 Oct 2019 14:34:06 +0200

ubuntu-release-upgrader (1:19.10.12) eoan; urgency=medium

  * DistUpgrade/DistUpgradeCache.py: Make sure checkFreeSpace() still works for
    update-manager with its own implementation of MyCache. (LP: #1843076)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 10 Sep 2019 18:44:43 +0200

ubuntu-release-upgrader (1:19.10.11) eoan; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py, DistUpgrade/DistUpgradeCache.py:
    Modify DistUpgradeQuirks to calculate extra space needed for snaps that
    need to be installed during upgrade (replacing old debs) and add that to
    estimates done in checkFreeSpace(). (LP: #1783597)
  * DistUpgrade/DistUpgradeQuirks.py: Make sure snaps like core18 are not
    refreshed/installed from the stable/ubuntu-VERSION branch but instead use
    stable on upgrades. (LP: #1841225)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 03 Sep 2019 15:58:38 +0200

ubuntu-release-upgrader (1:19.10.10) eoan; urgency=medium

  [ Brian Murray ]
  * DistUpgrade/DistUpgradeQuirks.py: Resolve issue with the fallback
    mechanism including more than the version number for the release.

  [ Gianfranco Costamagna ]
  * Fix E117 over idented code

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Jul 2019 23:08:52 +0200

ubuntu-release-upgrader (1:19.10.9) eoan; urgency=medium

  * DistUpgrade/DistUpgradeCache.py, DistUpgrade/DistUpgradeController.py:
    drop code which identified obsolete kernels and marked them for removal as
    it is redundant with functionality that exists in apt. (LP: #1828100)
  * DistUpgrade/DistUpgradeQuirks.py: Create a fallback mechanism for
    determining the version of a release (necessary for Ubuntu 18.04) when
    replacing debs with snaps. (LP: #1833753)

 -- Brian Murray <brian@ubuntu.com>  Fri, 21 Jun 2019 14:30:19 -0700

ubuntu-release-upgrader (1:19.10.8) eoan; urgency=medium

  [ Steve Langasek ]
  * Factor the release version out of the to-be-translated strings, so
    that translators don't have to chase updating this for every release.
    LP: #1727472.
  * Update the pot file in the source, evidently not done for the past 3
    years.

 -- Brian Murray <brian@ubuntu.com>  Tue, 18 Jun 2019 08:59:08 -0700

ubuntu-release-upgrader (1:19.10.7) eoan; urgency=medium

  [ Dan Streetman ]
  * DistUpgrade/DistUpgradeQuirks.py: only try to install snaps if snapstore
    is reachable. (LP: #1831933)

 -- Brian Murray <brian@ubuntu.com>  Mon, 17 Jun 2019 09:49:36 -0700

ubuntu-release-upgrader (1:19.10.6) eoan; urgency=medium

  * DistUpgradeQuirks.py: modify string regarding refreshing and installing
    snaps so that it is translatable. (LP: #1824005)

 -- Brian Murray <brian@ubuntu.com>  Fri, 14 Jun 2019 10:33:21 -0700

ubuntu-release-upgrader (1:19.10.5) eoan; urgency=medium

  * DistUpgrade/DistUpgradeViewNonInteractive.py: when responding to a
    conffile prompt with "n" use bytes not a string. (LP: #1796193)
  * DistUpgrade/DistUpgradeController.py: set a default value for devRelease
    even if there are no options specified. (LP: #1827441)

 -- Brian Murray <brian@ubuntu.com>  Fri, 10 May 2019 13:30:07 -0700

ubuntu-release-upgrader (1:19.10.4) eoan; urgency=medium

  [ Gunnar Hjalmarsson ]
  * DistUpgrade/window_main.ui: Really update for 19.10 (LP: #1825733).

 -- Brian Murray <brian@ubuntu.com>  Thu, 09 May 2019 11:06:05 -0700

ubuntu-release-upgrader (1:19.10.3) eoan; urgency=medium

  * data/DistUpgrade.cfg: update BaseNames section to kernel packages that
    appear in Ubuntu 19.04. (LP: #1828072)
  * data/DistUpgrade.cfg.bionic: update KernelRemoval section to kernel
    packages that appear in Ubuntu 18.04. (LP: #1828072)

 -- Brian Murray <brian@ubuntu.com>  Tue, 07 May 2019 10:15:37 -0700

ubuntu-release-upgrader (1:19.10.2) eoan; urgency=medium

  * DistUpgradeQuirks.py: leverage distro_info to determine version for the
    release codename so version numbers aren't hard coded and
    _replaceDebsWithSnaps won't require regular updating.
  * data/DistUpgrade.cfg: update version in KernelRemoval section of the
    config.
  * update references to Eoan since it has an animal now.

 -- Brian Murray <brian@ubuntu.com>  Mon, 06 May 2019 14:04:58 -0700

ubuntu-release-upgrader (1:19.10.1) eoan; urgency=medium

  * DistUpgrade/{EOL,Devel}ReleaseAnnouncement,
    DistUpgrade/window_main.ui,
    data/gtkbuilder/DistUpgrade.ui,
    data/DistUpgrade.cfg,
    pre-build.sh:
    - updated for 19.04 -> 19.10
  * data/DistUpgrade.cfg.bionic,
    data/demoted.cfg.bionic,
    pre-build.sh:
    - support upgrades from bionic (LP: #1827635)

