## ubuntu-release-upgrader 19.10.15.4

=== debian/changelog ===
ubuntu-release-upgrader (1:19.10.15.4) eoan; urgency=medium

  * debian/control: Update Vcs-*: URLs
  * Rename .bzrignore to .gitignore
  * debian/gbp.conf: Add default configuration
  * debian/gbp.conf: Move prebuild command here from .bzr-builddeb/default.conf
  * debian/release-upgrade-motd: Don't try to update cached info
    as a regular user. That would fail. (LP: #1855271)

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 06 Dec 2019 22:52:48 +0100

ubuntu-release-upgrader (1:19.10.15.3) eoan; urgency=medium

  * do-release-upgrade: add linux-base to the check for required reboot after
    a kernel upgrade (LP: #1844805).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 07 Nov 2019 11:56:11 +0100

ubuntu-release-upgrader (1:19.10.15.2) eoan; urgency=medium

  * Fix binary and binary-indep targets to work as intended (LP: #1850851)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 31 Oct 2019 13:38:35 -0600

ubuntu-release-upgrader (1:19.10.15.1) eoan; urgency=medium

  * do-release-upgrade: also check for linux-image- in reboot-required.pkgs,
    refusing upgrading before a reboot is performed. (LP: #1844805)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 29 Oct 2019 10:27:42 +0100

update-manager (0.44.8) edgy; urgency
