=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Build-Depends-Indep: libxml-parser-perl, 
                      intltool
 Standards-Version: 4.3.0
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/ubuntu-release-upgrader/trunk
+Vcs-Git: https://git.launchpad.net/ubuntu-release-upgrader -b ubuntu/eoan
 
 Package: ubuntu-release-upgrader-core
 Architecture: all
