## ubuntu-release-upgrader 20.04.14

=== debian/changelog ===
ubuntu-release-upgrader (1:20.04.14) focal; urgency=medium

  * data/removal_blacklist.cfg: do not allow openssh-server to be removed as
    the upgrade may done over ssh. (LP: #1865309)

 -- Brian Murray <brian@ubuntu.com>  Thu, 12 Mar 2020 10:39:55 -0700

ubuntu-release-upgrader (1:20.04.13) focal; urgency=medium

  [ Marcus Tomlinson ]
  * Add deb2snap.json file for specifying seeded and unseeded snaps.
    - Unseed gnome-calculator, gnome-characters, and gnome-logs.
    - Seed snap-store.

  [ Iain Lane ]
  * Run pre-build.sh to update the built-in data.

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Thu, 27 Feb 2020 18:02:12 +0000

ubuntu-release-upgrader (1:20.04.12) focal; urgency=medium

  * data/release-upgrades: set Prompt to lts as focal is an LTS release.
  * DistUpgrade/DistUpgradeQuirks.py: Do not allow the upgrade to proceed if
    the non-transitional lxd deb is installed and we can not acces the Snap
    Store. (LP: #1834501)

 -- Brian Murray <brian@ubuntu.com>  Mon, 17 Feb 2020 14:11:05 -0800

ubuntu-release-upgrader (1:20.04.11) focal; urgency=medium

  * Fixup the exception building to use package names instead of package
    objects.

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 04 Feb 2020 18:44:25 +0100

ubuntu-release-upgrader (1:20.04.10) focal; urgency=medium

  * Do not attempt to upgrade if the cache has broken packages after having
    calculated the upgrade (LP: #1861756)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 04 Feb 2020 18:12:42 +0100

ubuntu-release-upgrader (1:20.04.9) focal; urgency=medium

  * tests: Handle the rename of the pep8 tool to pycodestyle.

 -- dann frazier <dannf@ubuntu.com>  Wed, 29 Jan 2020 07:42:33 -0700

ubuntu-release-upgrader (1:20.04.8) focal; urgency=medium

  [ Jean-Baptiste Lallement ]
  * Do not install a snap package if the corresponding debian package is not
    installed (LP: #1856996)
  * Fixed crash when checking a section of a package when the package is a
    snap (LP: #1856862)
  * Update release to 20.04 in UI (LP: #1856948)

  [ Brian Murray ]
  * Translations, demotions and mirror updates.

 -- Brian Murray <brian@ubuntu.com>  Fri, 20 Dec 2019 13:14:26 -0800

ubuntu-release-upgrader (1:20.04.7) focal; urgency=medium

  * debian/release-upgrade-motd: Fix typo preventing the update of the cached info.
    This fixes the regression introduced when fixing LP: #1855271.
  * debian/gbp.conf: Really run ./pre-build.sh before build

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 06 Dec 2019 21:45:46 +0100

ubuntu-release-upgrader (1:20.04.6) focal; urgency=medium

  * debian/control: Update Vcs-*: URLs
  * Rename .bzrignore to .gitignore
  * debian/gbp.conf: Add default configuration
  * debian/gbp.conf: Move prebuild command here from .bzr-builddeb/default.conf
  * Build source on Focal (LP: #1855437)

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 06 Dec 2019 12:55:52 +0100

ubuntu-release-upgrader (1:20.04.5) focal; urgency=medium

  * debian/release-upgrade-motd: Don't try to update cached info
    as a regular user. That would fail.
    (LP: #1855271)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 05 Dec 2019 17:32:08 +0100

ubuntu-release-upgrader (1:20.04.4) focal; urgency=medium

  [ Brian Murray ]
  * data/DistUpgrade.cfg, data/DistUpgrade.cfg.bionic: update for the upgrade
    from 19.10 to 20.04 harder.

  [ Łukasz 'sil2100' Zemczak ]
  * do-release-upgrade: add linux-base to the check for required reboot after
    a kernel upgrade (LP: #1844805).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 06 Nov 2019 18:24:10 +0100

ubuntu-release-upgrader (1:20.04.2) focal; urgency=medium

  * Fix binary and binary-indep targets to work as intended (LP: #1850851)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 31 Oct 2019 13:38:35 -0600

ubuntu-release-upgrader (1:20.04.1) focal; urgency=medium

  [ Brian Murray ]
  * DistUpgrade/{EOL,Devel}ReleaseAnnouncement,
    DistUpgrade/window_main.ui,
    data/gtkbuilder/DistUpgrade.ui,
    data/DistUpgrade.cfg,
    data/DistUpgrade.cfg.bionic,
    pre-build.sh:
    - updated for 19.10 -> 20.04

  [ Łukasz 'sil2100' Zemczak ]
  * do-release-upgrade: also check for linux-image- in reboot-required.pkgs,
    refusing upgrading before a reboot is performed. (LP: #1844805)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 28 Oct 2019 18:35:36 +0100
