## ubuntu-release-upgrader 20.04.15

=== debian/changelog ===
ubuntu-release-upgrader (1:20.04.15) focal; urgency=medium

  * DistUpgrade/DistUpgradeCache.py: Update kernel and initrd size calculation
    fallbacks to more closely match reality in focal.

 -- Brian Murray <brian@ubuntu.com>  Fri, 20 Mar 2020 12:39:39 -0700
