## ubuntu-release-upgrader 20.04.18

=== debian/changelog ===
ubuntu-release-upgrader (1:20.04.18) focal; urgency=medium

  [ Steve Langasek ]
  * Use libgtk3-perl, not libgtk2-perl, to decide whether to use the gnome
    debconf frontend; debconf migrated to GTK+3 in version 1.5.66, before
    bionic was released.  LP: #1871530.

  [ Brian Murray ]
  * data/mirrors.cfg, utils/update_mirrors.py: Add in ddebs.ubuntu.com as an
    official package source.

 -- Brian Murray <brian@ubuntu.com>  Wed, 08 Apr 2020 08:59:23 -0700

ubuntu-release-upgrader (1:20.04.17) focal; urgency=medium

  * DistUpgrade/DistUpgradeFetcher.py,
    DistUpgrade/ReleaseNotesViewerWebkit.py: use gi.require_version so that
    the right version gets loaded and warning messages are not displayed.
    (LP: #1848629)

 -- Brian Murray <brian@ubuntu.com>  Fri, 03 Apr 2020 07:33:01 -0700

ubuntu-release-upgrader (1:20.04.16) focal; urgency=medium

  [ Dimitri John Ledkov ]
  * DistUpgrade/DistUpgradeQuirks.py: Install python-is-python2 if
    python-minimal is installed. This preserves /usr/bin/python on
    upgrades.

 -- Brian Murray <brian@ubuntu.com>  Fri, 27 Mar 2020 15:26:21 -0700
