## ubuntu-release-upgrader 20.04.32

=== debian/changelog ===
ubuntu-release-upgrader (1:20.04.32) focal; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: Modify the deb-to-snap quirk to also
     upgrade preseeded snaps to latest/stable/ubuntu-$version for their new
     release. (LP: #1922297)
  * Update mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Tue, 13 Apr 2021 11:37:34 -0700

ubuntu-release-upgrader (1:20.04.31) focal; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py:  use apt's problem resolver to better
    calculate upgrades where python is replaced by python-is-python2 thereby
    resolving a host of upgrade failures. Thanks to Julian for the initial
    patch. (LP: #1898152)

 -- Brian Murray <brian@ubuntu.com>  Wed, 31 Mar 2021 10:13:14 -0700

ubuntu-release-upgrader (1:20.04.30) focal; urgency=medium

  * data/mirrors.cfg: update mirrors for the 20.04.2 point release.

 -- Brian Murray <brian@ubuntu.com>  Tue, 19 Jan 2021 13:47:45 -0800

ubuntu-release-upgrader (1:20.04.29) focal; urgency=medium

  * DistUpgrade/dist-upgrade.py: When running the release upgrade do not add
    user site directory to sys.path thereby preventing user python packages
    from interfering with the upgrade process. (LP: #1848829)

 -- Brian Murray <brian@ubuntu.com>  Tue, 17 Nov 2020 15:26:41 -0800

ubuntu-release-upgrader (1:20.04.28) focal; urgency=medium

  [ Brian Murray ]
  * DistUpgrade/DistUpgradeQuirks.py: In addition to quirking python-minimal
    we also need to quirk python-dbg, python-doc, and python-dev.
    (LP: #1887544)
  * drop changes to data/DistUpgrade.cfg.bionic regarding
    gnome-software-plugin-snap as it failed verification.

  [ Chad Smith ]
  * data/mirrors.cfg: add all ubuntu-advantage services as valid mirrors.
    This includes: fips, fips-updates, esm-infra, esm-apps and cc-eal and
    Ubuntu Pro stable public PPA. (LP: #1893717)
  * DistUpgrade/DistUpgradeController.py: release cache lock during
    runPostInstallScripts (LP: #1897778)

 -- Chad Smith <chad.smith@canonical.com>  Wed, 07 Oct 2020 10:49:37 -0600

ubuntu-release-upgrader (1:20.04.27) focal; urgency=medium

  * data/DistUpgrade.cfg.bionic: Add gnome-software-plugin-snap to
    ForcedObsoletes for ubuntu-desktop and ubuntukylin-desktop only. This
    allows multiple packages to be offered for removal after the upgrade
    completes. (LP: #1894919)

 -- Brian Murray <brian@ubuntu.com>  Wed, 09 Sep 2020 11:27:27 -0700

ubuntu-release-upgrader (1:20.04.26) focal; urgency=medium

  * data/mirrors.cfg: add all ubuntu-advantage services as valid mirrors.
    This includes: fips, fips-updates, esm-infra, esm-apps and cc-eal.
    (LP: #1893717)

 -- Chad Smith <chad.smith@canonical.com>  Wed, 02 Sep 2020 15:21:39 -0600

ubuntu-release-upgrader (1:20.04.25) focal; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: Add a check for ROS packages being
    installed and warn that upgrades with them installed are not likely to
    work. Thanks to Kyle Fazzari for the patch. (LP: #1611737)
  * DistUpgrade/DistUpgradeController.py: do what the comment says and really
    back up /etc/apt/sources.list first. (LP: #1888916)

 -- Brian Murray <brian@ubuntu.com>  Wed, 26 Aug 2020 08:36:39 -0700

ubuntu-release-upgrader (1:20.04.24) focal; urgency=medium

  * DistUpgrade/DistUpgradeCache.py: Ensure that the linux metapackage is
    never removed during a distribution upgrade. (LP: #1889449)

 -- Brian Murray <brian@ubuntu.com>  Mon, 03 Aug 2020 09:26:16 -0700

ubuntu-release-upgrader (1:20.04.23) focal; urgency=medium

  * data/DistUpgrade.cfg: remove xscreensaver from the PostUpgradeRemove rule
    for ubuntu-desktop as it is no longer necessary. (LP: #1875107)

 -- Brian Murray <brian@ubuntu.com>  Mon, 20 Jul 2020 17:23:48 -0700

ubuntu-release-upgrader (1:20.04.22) focal; urgency=medium

  * DistUpgrade/DistUpgradeController.py: set a default value for devRelease
    all the time. (LP: #1882069)
  * DistUpgrade/DistUpgradeQuirks.py: Update the quirk for handling the
    transition from python-minimal to python2-minimal so that it runs during a
    prepare stage and an install stage. Thanks to Lukas Märdian for the fix.
    (LP: #1875523)

 -- Brian Murray <brian@ubuntu.com>  Fri, 17 Jul 2020 13:56:54 -0700

ubuntu-release-upgrader (1:20.04.21) focal; urgency=medium

  * debian/91-release-upgrade: make it work in dash. (LP: #1873545)

 -- Brian Murray <brian@ubuntu.com>  Mon, 06 Jul 2020 08:42:50 -0700

ubuntu-release-upgrader (1:20.04.20) focal; urgency=medium

  * debian/91-release-upgrade: exit 0 if run as a non-root user.
    (LP: #1873545)
  * Only pass the package name to apport in the event that there is a dpkg
    error during a distribution upgrade. (LP: #1884148)

 -- Brian Murray <brian@ubuntu.com>  Wed, 24 Jun 2020 15:37:45 -0700

ubuntu-release-upgrader (1:20.04.19) focal; urgency=medium

  [ Dimitri John Ledkov ]
  * DistUpgradeCache: Ignore BaseMetaPkgs' & obsolete tasks during server upgrade
    (LP: #1872902)

  [ Brian Murray ]
  * data/mirrors.cfg: update as some mirrors have been removed as they do not
    mirror Ubuntu 20.04 LTS.
  * data/demoted.bionic.cfg: updated for packages that were removed nearer
    the release date.

 -- Brian Murray <brian@ubuntu.com>  Tue, 05 May 2020 15:26:02 -0700
