## ubuntu-release-upgrader 20.04.39

=== debian/changelog ===
ubuntu-release-upgrader (1:20.04.39) focal; urgency=medium

  * Manually run utils/update_mirrors.py to update mirrors.

 -- Brian Murray <brian@ubuntu.com>  Fri, 19 Aug 2022 11:14:38 -0700

ubuntu-release-upgrader (1:20.04.38) focal; urgency=medium

  * do-release-upgrade: Preserve env vars needed for screen lock prevention (LP: #1968607).
  * Run pre-build.sh: updating translations.
  * Manually run utils/update_mirrors.py to update mirrors.

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Thu, 14 Apr 2022 13:21:35 -0400

ubuntu-release-upgrader (1:20.04.37) focal; urgency=medium

  * Use ubuntu-archive-keyring to verify upgrades, irrespective of how
    apt-key is configured.
  * Update mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Tue, 08 Feb 2022 09:14:10 -0800

ubuntu-release-upgrader (1:20.04.36) focal; urgency=medium

  * DistUpgrade/ReleaseAnnouncement, DistUpgrade/EOLReleaseAnnouncement:
    Update the irc channel server reference to Libera.Chat (LP: #1937852)
  * Update mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Tue, 03 Aug 2021 18:00:22 -0700

ubuntu-release-upgrader (1:20.04.35) focal; urgency=medium

  * tests/test_sources_list.py: remove a port architecture test as the code
    change has not been SRU'ed to 20.04.

 -- Brian Murray <brian@ubuntu.com>  Fri, 02 Jul 2021 16:51:29 -0700

ubuntu-release-upgrader (1:20.04.34) focal; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: If universe is not enabled and the
    upgrader is trying to transition from python to python2 produce an error
    message and exit the upgrade process. (LP: #1924604)
  * DistUpgrade/DistUpgradeCache.py: switch to using finally in distUpgrade so
    that error messages in the above quirk will be visible.
  * tests/test_sources_list.py: use distro_info to set releases when
    performing some upgrade tests which fixes test failures when precise
    was moved to old-releases.
  * Update mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Thu, 01 Jul 2021 11:57:22 -0700

ubuntu-release-upgrader (1:20.04.33) focal; urgency=medium

  * DistUpgrade/DistUpgradeController.py: restore sources.list where possible
    if a KeyboardInterrupt event is received and redirect the output of
    gnome-session-inhibit to devnull so a message regarding Ctrl-C is not
    displayed. (LP: #1898026)
  * DistUpgrade/DistUpgradeQuirks.py: Restore code which ensured the python
    package was maked for removal. (LP: #1928397)
  * Update mirrors and translations.

 -- Brian Murray <brian@ubuntu.com>  Thu, 13 May 2021 16:38:41 -0700
