=== debian/changelog ===
ubuntu-release-upgrader (1:20.04.41) focal; urgency=medium

  * Manually run utils/update_mirrors.py to update mirrors

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 14 Mar 2023 12:29:22 +0000

ubuntu-release-upgrader (1:20.04.40) focal; urgency=medium

  [ Matthew Ruffell ]
  * DistUpgrade/DistUpgradeQuirks.py: Add quirk to handle fips specific
    .libgcrypt.so.20.hmac file from libgcrypt20-hmac being placed in
    /lib instead of /usr/lib, breaking upgrades for fips enabled systems.
    (LP: #1982534)

  [ Brian Murray ]
  * Update mirrors, demotions, and translations.

 -- Matthew Ruffell <matthew.ruffell@canonical.com>  Mon, 21 Nov 2022 11:31:53 +1300
