## ubuntu-release-upgrader 20.10.12

=== debian/changelog ===
ubuntu-release-upgrader (1:20.10.12) groovy; urgency=medium

  [ Chad Smith ]
  * data/mirrors.cfg: add ubuntu advantage pro PPA url as valid mirror
    (LP: #1893717)
  * DistUpgrade/DistUpgradeController.py: release cache lock during
    runPostInstallScripts (LP: #1897778)

  [ Brian Murray ]
  * DistUpgrade/DistUpgradeQuirks.py: In addition to quirking python-minimal
    we also need to quirk python-dbg. (LP: #1887544)
  * Update demotions and mirrors data.

 -- Chad Smith <chad.smith@canonical.com>  Tue, 22 Sep 2020 16:59:52 -0600

ubuntu-release-upgrader (1:20.10.11) groovy; urgency=medium

  [ Brian Murray ]
  * data/release-upgrades: set Prompt to normal as groovy is not an LTS
    release.

  [ Chad Smith ]
  * data/mirrors.cfg: add all ubuntu-advantage services as valid mirrors.
    This includes: fips, fips-updates, esm-infra, esm-apps and cc-eal.
    (LP: #1893717)

 -- Brian Murray <brian@ubuntu.com>  Tue, 01 Sep 2020 15:26:56 -0700

ubuntu-release-upgrader (1:20.10.10) groovy; urgency=medium

  * DistUpgrade/DistUpgradeController.py: do what the comment says and really
    back up /etc/apt/sources.list first. (LP: #1888916)
  * DistUpgrade/screenrc: add 'onerror' to the zombie command so that if the
    process exits normally the screen window will disappear.

 -- Brian Murray <brian@ubuntu.com>  Tue, 25 Aug 2020 14:17:55 -0700

ubuntu-release-upgrader (1:20.10.9) groovy; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: Add a check for ROS packages being
    installed and warn that upgrades with them installed are not likely to
    work. Thanks to Kyle Fazzari for the patch. (LP: #1611737)

 -- Brian Murray <brian@ubuntu.com>  Fri, 14 Aug 2020 10:26:04 -0700

ubuntu-release-upgrader (1:20.10.8) groovy; urgency=medium

  * DistUpgrade/DistUpgradeCache.py: Ensure that the linux metapackage is
    never removed during a distribution upgrade. (LP: #1889449)

 -- Brian Murray <brian@ubuntu.com>  Fri, 31 Jul 2020 11:20:23 -0700

ubuntu-release-upgrader (1:20.10.7) groovy; urgency=medium

  * Resolve pycodestyle E741 issues.

 -- Brian Murray <brian@ubuntu.com>  Thu, 23 Jul 2020 09:10:00 -0700

ubuntu-release-upgrader (1:20.10.6) groovy; urgency=medium

  * data/DistUpgrade.cfg: remove xscreensaver from the PostUpgradeRemove rule
    for ubuntu-desktop as it is no longer necessary. (LP: #1875107)

 -- Brian Murray <brian@ubuntu.com>  Mon, 20 Jul 2020 17:11:29 -0700

ubuntu-release-upgrader (1:20.10.5) groovy; urgency=medium

  * DistUpgrade/DistUpgradeController.py: set a default value for devRelease
    all the time. (LP: #1882069)
  * DistUpgrade/DistUpgradeQuirks.py: Update the quirk for handling the
    transition from python-minimal to python2-minimal so that it runs during a
    prepare stage and an install stage. Thanks to Lukas Märdian for the fix.
    (LP: #1875523)

 -- Brian Murray <brian@ubuntu.com>  Fri, 17 Jul 2020 11:49:10 -0700

ubuntu-release-upgrader (1:20.10.4) groovy; urgency=medium

  * debian/91-release-upgrade: make it work in dash.

 -- Brian Murray <brian@ubuntu.com>  Thu, 02 Jul 2020 12:29:07 -0700

ubuntu-release-upgrader (1:20.10.3) groovy; urgency=medium

  [ Dimitri John Ledkov ]
  * Use ubuntu-archive-keyring to verify upgrades, irrespective of how
    apt-key is configured.

  [ Brian Murray ]
  * utils/demotions.py: also use the ubuntu-archive-keyring when determining
    packages that were demoted.

 -- Brian Murray <brian@ubuntu.com>  Tue, 30 Jun 2020 09:15:09 -0700

ubuntu-release-upgrader (1:20.10.2) groovy; urgency=medium

  * debian/91-release-upgrade: exit 0 if run as a non-root user.
    (LP: #1873545)
  * Only pass the package name to apport in the event that there is a dpkg
    error during a distribution upgrade. (LP: #1884148)

 -- Brian Murray <brian@ubuntu.com>  Wed, 24 Jun 2020 11:34:11 -0700

ubuntu-release-upgrader (1:20.10.1) groovy; urgency=medium

  [ Dimitri John Ledkov ]
  * DistUpgradeCache: Ignore BaseMetaPkgs' & obsolete tasks during server upgrade
    (LP: #1872902)

  [ Brian Murray ]
  * Update for 20.04 -> 20.10.

 -- Brian Murray <brian@ubuntu.com>  Tue, 05 May 2020 14:37:21 -0700
