## ubuntu-release-upgrader 20.10.16

=== debian/changelog ===
ubuntu-release-upgrader (1:20.10.16) groovy; urgency=medium

  * DistUpgrade/DistUpgradeController.py: restore sources.list where possible
    if a KeyboardInterrupt event is received and redirect the output of
    gnome-session-inhibit to devnull so a message regarding Ctrl-C is not
    displayed. (LP: #1898026)
  * Update mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Fri, 14 May 2021 10:27:44 -0700

ubuntu-release-upgrader (1:20.10.15) groovy; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: Modify the deb-to-snap quirk to also
    upgrade preseeded snaps to latest/stable/ubuntu-$version for their new
    release. (LP: #1922297)
  * Update mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Tue, 13 Apr 2021 11:10:49 -0700

ubuntu-release-upgrader (1:20.10.14) groovy; urgency=medium

  * DistUpgrade/dist-upgrade.py: When running the release upgrade do not add
    user site directory to sys.path thereby preventing user python packages
    from interfering with the upgrade process. (LP: #1848829) 

 -- Brian Murray <brian@ubuntu.com>  Tue, 17 Nov 2020 14:47:37 -0800

ubuntu-release-upgrader (1:20.10.13) groovy; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: Replace python-dev with
    python-dev-is-python2 rather than with nothing as that is a better upgrade
    path. (LP: #1887544)
  * DistUpgrade/DistUpgradeViewGtk3.py, DistUpgrade/DistUpgradeViewKDE.py:
    Change the window label from 20.04 to 20.10. (LP: #1901377)
  * Update mirrors and demotions.

 -- Brian Murray <brian@ubuntu.com>  Mon, 26 Oct 2020 10:41:49 -0700
