## ubuntu-release-upgrader 21.04.10

=== debian/changelog ===
ubuntu-release-upgrader (1:21.04.10) hirsute; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: look for the proper package name in the
    cache. (LP: #1924793)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Fri, 16 Apr 2021 11:55:36 -0700

ubuntu-release-upgrader (1:21.04.9) hirsute; urgency=medium

  [ Dave Jones ]
  * DistUpgrade/DistUpgradeQuirks.py: Add quirk to rewrite references to fkms
    overlay in Raspberry Pi boot configuration to kms overlay (and disable the
    related camera firmware lines). (LP: #1923673)

  [ Brian Murray ]
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Thu, 15 Apr 2021 09:29:00 -0700

ubuntu-release-upgrader (1:21.04.8) hirsute; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: Modify the deb-to-snap quirk to also
    upgrade preseeded snaps to latest/stable/ubuntu-$version for their new
    release. (LP: #1922297)
  * tests/test_quirks.py: update the snap tests for the above changes.
  * Run pre-build.sh.

 -- Brian Murray <brian@ubuntu.com>  Mon, 12 Apr 2021 15:33:41 -0700

ubuntu-release-upgrader (1:21.04.7) hirsute; urgency=medium

  * DistUpgrade/DistUpgradeController.py: Only rewrite archive.u.c and
    security.u.c to ports.
  * test/test_sources_list.py: update the tests for the changes regarding
    rewriting uris for ports.u.c.
  * Run pre-build.sh.

 -- Brian Murray <brian@ubuntu.com>  Thu, 08 Apr 2021 13:02:02 -0700

ubuntu-release-upgrader (1:21.04.6) hirsute; urgency=medium

  * DistUpgrade/DistUpgradeController.py: If there is a sources.list entry for
    an arch which is on ports.ubuntu.com rewrite the uri so that ports is
    used. (LP: #1917220)
  * DistUpgrade/DistUpgradeQuirks.py:  use apt's problem resolver to better
    calculate upgrades where python is replaced by python-is-python2 thereby
    resolving a host of upgrade failures. Thanks to Julian for the initial
    patch. (LP: #1898152)

 -- Brian Murray <brian@ubuntu.com>  Wed, 31 Mar 2021 09:25:55 -0700

ubuntu-release-upgrader (1:21.04.5) hirsute; urgency=medium

  [ William 'jawn-smith' Wilson ]
  * Add quirk to block upgrade if docker containers are configured to use the
    aufs storage-driver (LP: #1907713)

  [ Brian Murray ]
  * DistUpgrade/DistUpgradeController.py: where possible restore sources.list
    if a KeyboardInterrupt event is received. (LP: #1898026)
  * DistUpgrade/DistUpgradeController.py: redirect the output of
    gnome-session-inhibit to devnull so a message regarding Ctrl-C is not
    displayed.

 -- Brian Murray <brian@ubuntu.com>  Fri, 26 Feb 2021 11:27:39 -0800

ubuntu-release-upgrader (1:21.04.4) hirsute; urgency=medium

  * Run old tests on amd64 so ports that did not exist back then work

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 11 Jan 2021 11:53:47 +0100

ubuntu-release-upgrader (1:21.04.3) hirsute; urgency=medium

  * Adapt to Ubuntu archive URL change to due to template unification in
    python-apt (>= 2.1.5); update build-depends accordingly.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 17 Dec 2020 10:10:14 +0100

ubuntu-release-upgrader (1:21.04.2) hirsute; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: ensure there are matches for both regexs
    before trying to use them.
  * DistUpgrade/dist-upgrade.py: When running the release upgrade do not add
    user site directory to sys.path thereby preventing user python packages
    from interfering with the upgrade process. (LP: #1848829)
  * Remove code relevant to peforming a distribution upgrade with a "cdrom" of
    the release to which you are upgrading as it has been hidden and broken
    for quite some time.

 -- Brian Murray <brian@ubuntu.com>  Mon, 09 Nov 2020 11:20:25 -0800

ubuntu-release-upgrader (1:21.04.1) hirsute; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: Replace python-dev with
    python-dev-is-python2 rather than with nothing as that is a better upgrade
    path. (LP: #1887544)
  * Update for 20.10 -> 21.04.

 -- Brian Murray <brian@ubuntu.com>  Wed, 28 Oct 2020 10:39:56 -0700
